org.apache.fop.render.txt

## Class TXTStream

- java.lang.Object
- - org.apache.fop.render.txt.TXTStream

-     public class TXTStream
      extends Object

  Helper class for text streams.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TXTStream(OutputStream os)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String str)` Adds a String to the OutputStream
    `void` | `setDoOutput(boolean doout)` Controls whether output is actually written.
    `void` | `setEncoding(String encoding)` Set the encoding for the text stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TXTStream

          public TXTStream(OutputStream os)

      Main constructor.
      Parameters:
        `os` - OutputStream to write to

  - ### Method Detail

    - #### add

          public void add(String str)

      Adds a String to the OutputStream
      Parameters:
        `str` - String to add

    - #### setDoOutput

          public void setDoOutput(boolean doout)

      Controls whether output is actually written.
      Parameters:
        `doout` - true to enable output, false to suppress

    - #### setEncoding

          public void setEncoding(String encoding)

      Set the encoding for the text stream.
      Parameters:
        `encoding` - the encoding, if null, "UTF-8" is chosen as default

Copyright © 2023 Apache Software Foundation. All rights reserved.